Skip to main content
PUT
Update appointment resource

Authorizations

Authorization
string
header
required

Your personal access token where supported, or a scoped API key (hc_…) created inside HueChat at Account → Developer API. Send it as Authorization: Bearer <token>.

Path Parameters

accountId
integer
required

HueChat account ID

resourceId
string
required

Resource UUID

Body

application/json

Resource changes

color
string
Example:

"#6C5CE7"

description
string
is_active
boolean
name
string
Example:

"Dr. Sara"

position
integer
Example:

1

resource_type
string
Example:

"Doctor"

timezone
string
Example:

"Asia/Riyadh"

Response

OK

account_id
integer
Example:

3

color
string
created_at
string<date-time>
description
string
id
string<uuid>
is_active
boolean
metadata
object
name
string
position
integer
resource_type
string
timezone
string
updated_at
string<date-time>